# PHP malware detector

[![Build Status](https://travis-ci.org/ollyxar/php-malware-detector.svg?branch=master)](https://travis-ci.org/ollyxar/php-malware-detector)
![Version](https://poser.pugx.org/ollyxar/php-malware-detector/v/stable.svg)
![Downloads](https://poser.pugx.org/ollyxar/php-malware-detector/d/total.svg)
![License](https://poser.pugx.org/ollyxar/php-malware-detector/license.svg)

## Smart PHP vulnerability detector

Web mode:

![ollyxar php-malware-detector](https://i.imgur.com/oglUEpr.jpg)

Console mode:

![chat](https://i.imgur.com/VJ4548w.jpg)

## Using PHP malware detector

### Requirements
* PHP 5.4+


### Install php-malware-detector via [composer](http://getcomposer.org).

```bash
# Install Composer
curl -sS https://getcomposer.org/installer | php
```

Next, run the Composer command to install the latest stable version of php-malware-detector:

```bash
php composer.phar require ollyxar/php-malware-detector
```

After installing, you need to require Composer's autoloader and run scan:

```php
require 'vendor/autoload.php';

(new Scanner())->run();
```

### Using php-malware-detector in Web-mode:

Put scanner.php in the web-root directory on the web-server and open your website in the browser (like http://mywebsite.com/scanner.php)

### Using php-malware-detector in Cron-mode:

You can schedule scanning process. To do that you have to add commend:

```bash
php /path_to/scanner.php > "log.txt"
```

### Additional parameters for scanner:

```php
// First parameter is a scan directory
// Second parameter is an array of file extensions to scan
(new Scanner('/var/some_other_direcrory_to_scan'), ['php', 'txt', 'php5'])->run();
```
