<?php namespace Ollyxar\AntiMalware;

/**
 * Class Console
 * See nice article about bash colours: https://misc.flogisoft.com/bash/tip_colors_and_formatting
 *
 * @package Ollyxar\AntiMalware
 */
class Console
{
    /**
     * Window width
     *
     * @var int
     */
    private static $width;

    /**
     * Available colours (256bit)
     *
     * @var array
     */
    public static $colors = [
        'back'  => [
            'blue'   => "\e[48;5;4m",
            'red'    => "\e[48;5;124m",
            'gray'   => "\e[48;5;242m",
            'yellow' => "\e[48;5;227m",
            'orange' => "\e[48;5;166m"
        ],
        'front' => [
            'white' => "\e[38;5;231m",
            'black' => "\e[38;5;232m",
            'blue'  => "\e[38;5;14m"
        ]
    ];

    /**
     * Drawing text in one line
     *
     * @param $text
     * @return void
     */
    public static function line($text = '')
    {
        if (!static::$width) {
            static::$width = @exec('tput cols') or 80;
        }

        $offset = 0;

        if (preg_match_all("/\e\[(\d|\;)+m/", $text, $matches)) {
            foreach ($matches[0] as $match) {
                $offset += strlen($match);
            }
        }

        $length = static::$width + $offset;
        print str_pad($text, $length) . "\e[0m\n";
    }
}
